RubyGems.org

publisher

1.1.0

FEATURES/PROBLEMS: * Nice syntax for declaring events that can be subscribed for * Convenient event firing syntax * Subscribe / unsubscribe functionality * Several method name aliases give you the flexibility to make your code more readable (eg, fire, notify, emit) == SYNOPSIS: require ‘rubygems’ require ‘publisher’ class CustomerListHolder extend Publisher can_fire :customer_added, :list_cleared

installgem install publisher -v 1.1.0
Authors

Atomic Object

6,263 total downloads 1,199 for this version
Owners

81b5e41ae80dc7f1aa57d2bf40e7e7d0D206f26a7622f76ef81233727058928e7a911e6eb94f7be3e6bd4623145df1921bbbcf583856289aed885b21a4b0904b57dd166cfd02ca724ed6c530e0019f7a75b211ea6425b3e910333d02079bfad8Fa719c0a9dc02461d466b0c4dd1a902311986e5f0e6cc10080df1eb895d42477F7a4855b42d4b1b8dc1ac50a6ce20116Aea9b05b394721c0b806927c29730314F86901feca747abbb5c6c020362ef2e7

Gemfile
gem 'publisher', '~> 1.1.0'
Versions
  1. 1.1.2 September 27, 2011 (9 KB)
  2. 1.1.1 November 8, 2009 (8.5 KB)
  3. 1.1.0 November 21, 2007 (8 KB)
Runtime Dependencies
  1. hoe >= 1.3.0